ConnectionFTP (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.server.workers

## Class ConnectionFTP

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.server.workers.ConnectionFTP

-     public class ConnectionFTP
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionFTP(String host, String specificPath, String user, String pass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FolderDto` | `browse()`
    `void` | `disconnect()`
    `int` | `getAutoId()`
    `List<String>` | `getErrors()`
    `int` | `getLimitDepth()`
    `int` | `getMaxDepth()`
    `String` | `getMaxPath()`
    `FolderDto` | `listFilesAndDirectories(org.apache.commons.net.ftp.FTPFile[] ftpFiles, String pathFolder, int depth)`
    `FolderDto` | `listOnlyFirstLevel(org.apache.commons.net.ftp.FTPFile[] ftpFiles, String pathFolder, int depth)`
    `FolderDto` | `makeFolder(String name)`
    `void` | `printFolder(FolderDto folder, int indent)`
    `FolderDto` | `process(String path)`
    `void` | `setAutoId(int autoId)`
    `void` | `setErrors(List<String> errors)`
    `void` | `setLimitDepth(int limitDepth)`
    `void` | `setMaxDepth(int maxDepth)`
    `void` | `setMaxPath(String maxPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionFTP

          public ConnectionFTP(String host,
                       String specificPath,
                       String user,
                       String pass)

  - ### Method Detail

    - #### browse

          public FolderDto browse()

    - #### process

          public FolderDto process(String path)

    - #### disconnect

          public void disconnect()

    - #### listOnlyFirstLevel

          public FolderDto listOnlyFirstLevel(org.apache.commons.net.ftp.FTPFile[] ftpFiles,
                                     String pathFolder,
                                     int depth)

    - #### listFilesAndDirectories

          public FolderDto listFilesAndDirectories(org.apache.commons.net.ftp.FTPFile[] ftpFiles,
                                          String pathFolder,
                                          int depth)

    - #### printFolder

          public void printFolder(FolderDto folder,
                         int indent)

    - #### makeFolder

          public FolderDto makeFolder(String name)

    - #### getErrors

          public List<String> getErrors()

    - #### setErrors

          public void setErrors(List<String> errors)

    - #### getLimitDepth

          public int getLimitDepth()

    - #### setLimitDepth

          public void setLimitDepth(int limitDepth)

    - #### getMaxDepth

          public int getMaxDepth()

    - #### setMaxDepth

          public void setMaxDepth(int maxDepth)

    - #### getMaxPath

          public String getMaxPath()

    - #### setMaxPath

          public void setMaxPath(String maxPath)

    - #### getAutoId

          public int getAutoId()

    - #### setAutoId

          public void setAutoId(int autoId)

Copyright © 2014. All Rights Reserved.